petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSMonitorDrawError

Monitors progress of the TS solvers by calling VecView() for the error at each timestep

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorDrawError(TS ts,PetscInt step,PetscReal ptime,Vec u,void *dummy)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| dummy | - either a viewer or NULL

### Options Database

-ts_monitor_draw_error -Monitor error graphically, requires user to have provided TSSetSolutionFunction()

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSSetSolutionFunction()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages